Index: mibs/d-link/DES-1210-28ME_B2
===================================================================
--- mibs/d-link/DES-1210-28ME_B2	(revision 11288)
+++ mibs/d-link/DES-1210-28ME_B2	(working copy)
@@ -4093,15 +6743,33 @@
          Its value ranges between 1 and 3."
         ::= { swAuthRadiusServerEntry 1 }
 
+    swAuthRadiusIPType    OBJECT-TYPE
+        SYNTAX                              INTEGER (1..2)
+        MAX-ACCESS                          read-write
+        STATUS                              current
+        DESCRIPTION
+            "The IP address of the RADIUS server IP type
+                referred to in this table entry."
+        DEFVAL { 1 }
+       ::= { swAuthRadiusServerEntry 2 }
+
     swAuthRadiusServerAddress               OBJECT-TYPE
-        SYNTAX                              IpAddress
+        SYNTAX                              Ipv6Address
         MAX-ACCESS                          read-write
         STATUS                              current
         DESCRIPTION
             "The IP address of the RADIUS server
                      referred to in this table entry."
-        ::=  { swAuthRadiusServerEntry 2 }
+        ::=  { swAuthRadiusServerEntry 3 }
 
+    swAuthRadiusServerInterfaceName   OBJECT-TYPE
+         SYNTAX      OCTET STRING
+         MAX-ACCESS  read-create
+         STATUS      current
+         DESCRIPTION
+               "Specifies the interface name when the swAuthRadiusServerAddress is linklocal address."
+         ::= { swAuthRadiusServerEntry 4 } 
+
     swAuthRadiusServerAuthenticationPort    OBJECT-TYPE
         SYNTAX                              INTEGER (1..65535)
         MAX-ACCESS                          read-write
@@ -4109,7 +6777,7 @@
         DESCRIPTION
             "The value is for setting UDP Port."
         DEFVAL { 1812 }
-       ::= { swAuthRadiusServerEntry 3 }
+       ::= { swAuthRadiusServerEntry 5 }
 
     swAuthRadiusServerAccountingPort        OBJECT-TYPE
         SYNTAX                              INTEGER (1..65535)
@@ -4118,7 +6786,7 @@
         DESCRIPTION
             "The value is for setting UDP Port."
         DEFVAL { 1813 }
-       ::= { swAuthRadiusServerEntry 4 }
+       ::= { swAuthRadiusServerEntry 6 }
 
     swAuthRadiusServerTimeout               OBJECT-TYPE
         SYNTAX                              INTEGER (1..255)
@@ -4127,7 +6795,7 @@
         DESCRIPTION
             "The value is for setting UDP Port."
         DEFVAL { 5 }
-       ::= { swAuthRadiusServerEntry 5 }
+       ::= { swAuthRadiusServerEntry 7 }
 
     swAuthRadiusServerRetransmit            OBJECT-TYPE
         SYNTAX                              INTEGER (1..255)
@@ -4136,7 +6804,7 @@
         DESCRIPTION
             "The value is for setting UDP Port."
         DEFVAL { 2 }
-       ::= { swAuthRadiusServerEntry 6 }
+       ::= { swAuthRadiusServerEntry 8 }
 
     swAuthRadiusServerKey                   OBJECT-TYPE
        SYNTAX                               DisplayString (SIZE(1..15))
@@ -4146,7 +6814,7 @@
           "This object is used to set 802.1X Radius Server Key,
           The following characters are allowed to input:
           semicolon, question mark, space, and double quotation mark."
-       ::= { swAuthRadiusServerEntry 7 }
+       ::= { swAuthRadiusServerEntry 9 }
 
     swAuthRadiusServerStatus OBJECT-TYPE
         SYNTAX       RowStatus
@@ -4161,16 +6829,44 @@
             initialized, either through default values, or through
             Set operations.  The swAuthRadiusServerIndex objects
             must be explicitly set."
-        ::= { swAuthRadiusServerEntry 8 }
+        ::= { swAuthRadiusServerEntry 10 }
     -- ------------------------------------------------------------------ 
     -- QoS
     -- ------------------------------------------------------------------
 
+--10--
+    qosInBandMgmt         OBJECT IDENTIFIER ::= { companyQoSGroup 10  }
+
+        qosInBandMgmtSetDefPriority OBJECT-TYPE
+                SYNTAX  INTEGER  {
+                       other(1),
+                       action(2)
+                       }
+                MAX-ACCESS  read-write
+                STATUS  current
+                DESCRIPTION
+                      "Sets the default priority. It is project dependent."
+                ::= { qosInBandMgmt 1 }
+
+        qosInBandMgmtPktPriority OBJECT-TYPE
+               SYNTAX  INTEGER (0..7)
+               MAX-ACCESS  read-write
+               STATUS  current
+               DESCRIPTION
+                     "Specifies the priority of packets, the range is 0-7. 7 is the highest priority."
+               ::= { qosInBandMgmt 2 }
+
+    -- ------------------------------------------------------------------ 
+    -- QoS
+    -- ------------------------------------------------------------------
+
 --1--
     cosScheduleMechanism       OBJECT-TYPE 
         SYNTAX INTEGER {
             strictPriority(1),
-            wrr(2)
+            wrr(2),
+            strict3wrr(3),
+            strict2wrr(4)
         } 
         MAX-ACCESS    read-write 
         STATUS        current
@@ -4224,8 +6920,74 @@
         "cos weight "
         ::= { cosClassEntry 2 }  
 
+    cosBandwidthCtrlSettings     OBJECT IDENTIFIER ::= { companyQoSGroup 9 }
+    
+    cosBandwidthCtrlTable     OBJECT-TYPE
+        SYNTAX SEQUENCE OF CosBandwidthCtrlEntry
+        MAX-ACCESS not-accessible
+        STATUS current
+        DESCRIPTION
+            "A list of cosBandwidthCtrlEntry default priority Entries."
+        ::= { cosBandwidthCtrlSettings 1 }
+        
+    cosBandwidthCtrlEntry OBJECT-TYPE
+        SYNTAX CosBandwidthCtrlEntry
+        MAX-ACCESS not-accessible
+        STATUS current
+        DESCRIPTION
+            "A list of cosBandwidthCtrlEntry default priority priorities."
+        INDEX { cosBandwidthCtrlPortIndex, cosBandwidthCtrlClassIndex }
+        ::= { cosBandwidthCtrlTable 1 }
+        
+    CosBandwidthCtrlEntry ::= SEQUENCE {
+        cosBandwidthCtrlPortIndex      Integer32,
+        cosBandwidthCtrlClassIndex     INTEGER,
+        cosBandwidthValue              Integer32,
+        cosBandwidthEffectiveRX        Integer32,
+        cosBandwidthEffectiveTX        Integer32
+    }
+    
+    cosBandwidthCtrlPortIndex OBJECT-TYPE
+        SYNTAX Integer32 (1..28)
+        MAX-ACCESS read-only
+        STATUS current
+        DESCRIPTION
+             "A port identifier that is in the range of 1 to ifNumber."
+        ::= { cosBandwidthCtrlEntry 1 }
+        
+    cosBandwidthCtrlClassIndex OBJECT-TYPE
+        SYNTAX INTEGER (0..3)
+        MAX-ACCESS read-only
+        STATUS current
+        DESCRIPTION
+         "A BandwidthCtrlClassIndex identifier that is in the range of 1 to ifNumber."
+        ::= { cosBandwidthCtrlEntry 2 }   
+        
+        
+    cosBandwidthValue OBJECT-TYPE
+        SYNTAX Integer32 
+        MAX-ACCESS read-write
+        STATUS current
+        DESCRIPTION
+        "The BandwidthValue return value."
+        ::= { cosBandwidthCtrlEntry 3 }  
+    cosBandwidthEffectiveRX OBJECT-TYPE
+        SYNTAX Integer32
+        MAX-ACCESS read-only
+        STATUS current
+        DESCRIPTION
+        "A speed rate of Effective RX."
+        ::= { cosBandwidthCtrlEntry 4 }
+        
+     
+    cosBandwidthEffectiveTX OBJECT-TYPE
+        SYNTAX Integer32
+        MAX-ACCESS read-only
+        STATUS current
+        DESCRIPTION
+        "A speed value of Effective TX."
+        ::= { cosBandwidthCtrlEntry 5 }
 
-    
     -- ------------------------------------------------------------------ 
     -- QoS
     -- ------------------------------------------------------------------ 
@@ -4257,7 +7019,7 @@
     }
     
     qosDefaultUserPriPortIndex OBJECT-TYPE
-        SYNTAX INTEGER 
+        SYNTAX INTEGER (1..28)
         MAX-ACCESS read-only
         STATUS current
         DESCRIPTION
@@ -4388,7 +7150,7 @@
         }
 
     qosPriSetPortIndex OBJECT-TYPE
-        SYNTAX      INTEGER
+        SYNTAX      INTEGER (1..28)
         MAX-ACCESS  read-only
         STATUS      current
         DESCRIPTION
@@ -4401,7 +7163,7 @@
                none(0),
                ieee8021P(2),
                dscp-tos(4),
-               ieee8021P_dscp-tos(6)
+               ieee8021P-dscp-tos(6)
     	}
         MAX-ACCESS  read-write
         STATUS      current
@@ -5379,12 +8141,122 @@
            "TOS 07"  
         ::= { qosTOSGroup 8 }
 
+    qosAclPrioritySettings     OBJECT IDENTIFIER ::= { companyQoSGroup 8 }
 
     -- ------------------------------------------------------------------
-    -- aclQosTable
+    -- ipv4aclQosTable
     -- ------------------------------------------------------------------
-    qosAclPrioritySettings     OBJECT IDENTIFIER ::= { companyQoSGroup 8 }
 
+    ipv4aclQosTable  OBJECT-TYPE
+        SYNTAX     SEQUENCE OF Ipv4AclQosEntry 
+        MAX-ACCESS not-accessible
+        STATUS     current
+        DESCRIPTION
+           "A list of priority by acl setting."
+
+        ::= { qosAclPrioritySettings 1 }
+
+    ipv4aclQosEntry OBJECT-TYPE
+        SYNTAX     Ipv4AclQosEntry
+        MAX-ACCESS not-accessible
+        STATUS     current
+        DESCRIPTION
+              "A list of priority by acl setting entry."
+
+        INDEX { ipv4aclQosIndex }
+        ::= { ipv4aclQosTable 1 }
+
+    Ipv4AclQosEntry  ::= 
+            SEQUENCE {
+              ipv4aclQosIndex          Integer32,
+              ipv4aclQosType           INTEGER,
+              ipv4aclQosMACAddr        MacAddress,
+              ipv4aclQosIPAddr         IpAddress,
+              ipv4aclQosTCPUDPPort     Integer32,
+              ipv4aclQosVlanID         Integer32,
+              ipv4aclQosProtocol       Integer32,
+              ipv4aclQosAssignClass    INTEGER,
+              ipv4aclQosStatus         RowStatus
+              }
+              
+    ipv4aclQosIndex OBJECT-TYPE
+       SYNTAX       Integer32 (1..65535)
+       MAX-ACCESS   read-only
+       STATUS       current
+       DESCRIPTION
+         "Index of priority by acl setting." 
+        ::= { ipv4aclQosEntry  1 }
+        
+    ipv4aclQosType OBJECT-TYPE
+       SYNTAX       INTEGER { mac(0), ip(1), tcp(2), udp(3), vlanid(4), protocol(5) }
+       MAX-ACCESS   read-write
+       STATUS       current
+       DESCRIPTION
+         "Type of priority by acl setting." 
+        ::= { ipv4aclQosEntry  2 }
+
+    ipv4aclQosMACAddr OBJECT-TYPE 
+       SYNTAX      MacAddress 
+       MAX-ACCESS  read-write
+       STATUS      current 
+       DESCRIPTION 
+           "Dst MAC of priority by acl setting." 
+        ::= { ipv4aclQosEntry  3 } 
+        
+        
+    ipv4aclQosIPAddr OBJECT-TYPE 
+       SYNTAX      IpAddress
+       MAX-ACCESS  read-write
+       STATUS      current 
+       DESCRIPTION 
+           "Dst IP of priority by acl setting" 
+        ::= { ipv4aclQosEntry 4 } 
+        
+    ipv4aclQosTCPUDPPort OBJECT-TYPE
+       SYNTAX       Integer32 (1..65535)
+       MAX-ACCESS   read-write
+       STATUS       current
+       DESCRIPTION
+         "Dst TCP/UDP port of priority by acl setting" 
+        ::= { ipv4aclQosEntry  5 }
+        
+    ipv4aclQosVlanID OBJECT-TYPE
+       SYNTAX       Integer32 (1..4094)
+       MAX-ACCESS   read-write
+       STATUS       current
+       DESCRIPTION
+         "VLAN ID of priority by acl setting" 
+        ::= { ipv4aclQosEntry  6 }
+
+    ipv4aclQosProtocol OBJECT-TYPE
+       SYNTAX       Integer32 (1..255)
+       MAX-ACCESS   read-write
+       STATUS       current
+       DESCRIPTION
+         "Ip protocol number of priority by acl setting" 
+        ::= { ipv4aclQosEntry  7 }
+        
+    ipv4aclQosAssignClass OBJECT-TYPE
+       SYNTAX       INTEGER  { class0(0), class1(1), class2(2), class3(3) }
+       MAX-ACCESS   read-write
+       STATUS       current
+       DESCRIPTION
+         "Be mapped class of priority by acl setting." 
+        ::= { ipv4aclQosEntry  8 }
+        
+    ipv4aclQosStatus OBJECT-TYPE
+       SYNTAX RowStatus
+       MAX-ACCESS read-write
+       STATUS current
+       DESCRIPTION
+         "Status of priority by acl setting."
+       ::= { ipv4aclQosEntry 9 }    
+
+
+    -- ------------------------------------------------------------------
+    -- aclQosTable
+    -- ------------------------------------------------------------------       
+       
     aclQosTable  OBJECT-TYPE
         SYNTAX     SEQUENCE OF AclQosEntry 
         MAX-ACCESS not-accessible
@@ -5392,7 +8264,7 @@
         DESCRIPTION
            "A list of priority by acl setting."
 
-        ::= { qosAclPrioritySettings 1 }
+        ::= { qosAclPrioritySettings 2 }
 
     aclQosEntry OBJECT-TYPE
         SYNTAX     AclQosEntry
@@ -5410,9 +8282,13 @@
               aclQosType           INTEGER,
               aclQosMACAddr        MacAddress,
               aclQosIPAddr         IpAddress,
+              aclQosIPv6Addr       Ipv6Address,
               aclQosTCPUDPPort     Integer32,
               aclQosVlanID         Integer32,
               aclQosProtocol       Integer32,
+--start DLINK_METRO_LIKE_R25QOS_BY_IPV6_TC_ACL
+              aclQosIP6TC          Integer32,
+--end DLINK_METRO_LIKE_R25QOS_BY_IPV6_TC_ACL
               aclQosAssignClass    INTEGER,
               aclQosStatus         RowStatus
               }
@@ -5426,7 +8302,7 @@
         ::= { aclQosEntry  1 }
         
     aclQosType OBJECT-TYPE
-       SYNTAX       INTEGER { mac(0), ip(1), tcp(2), udp(3), vlanid(4), protocol(5) }
+       SYNTAX       INTEGER { mac(0), ip(1), tcp(2), udp(3), vlanid(4), protocol(5), ipv6(6), ipv6traffic-class(7) }
        MAX-ACCESS   read-write
        STATUS       current
        DESCRIPTION
@@ -5449,6 +8325,14 @@
        DESCRIPTION 
            "Dst IP of priority by acl setting" 
         ::= { aclQosEntry 4 } 
+    
+    aclQosIPv6Addr OBJECT-TYPE 
+       SYNTAX      Ipv6Address
+       MAX-ACCESS  read-write
+       STATUS      current 
+       DESCRIPTION 
+           "Dst IP of priority by acl setting. " 
+        ::= { aclQosEntry 5 }
         
     aclQosTCPUDPPort OBJECT-TYPE
        SYNTAX       Integer32 (1..65535)
@@ -5456,7 +8340,7 @@
        STATUS       current
        DESCRIPTION
          "Dst TCP/UDP port of priority by acl setting" 
-        ::= { aclQosEntry  5 }
+        ::= { aclQosEntry  6 }
         
     aclQosVlanID OBJECT-TYPE
        SYNTAX       Integer32 (1..4094)
@@ -5464,7 +8348,7 @@
        STATUS       current
        DESCRIPTION
          "VLAN ID of priority by acl setting" 
-        ::= { aclQosEntry  6 }
+        ::= { aclQosEntry  7 }
 
     aclQosProtocol OBJECT-TYPE
        SYNTAX       Integer32 (1..255)
@@ -5472,8 +8356,18 @@
        STATUS       current
        DESCRIPTION
          "Ip protocol number of priority by acl setting" 
-        ::= { aclQosEntry  7 }
-        
+        ::= { aclQosEntry  8 }
+
+--start DLINK_METRO_LIKE_R25QOS_BY_IPV6_TC_ACL
+    aclQosIP6TC OBJECT-TYPE
+       SYNTAX       Integer32 (0..255)
+       MAX-ACCESS   read-write
+       STATUS       current
+       DESCRIPTION
+         "Ipv6 Traffic Class number of priority by acl setting" 
+        ::= { aclQosEntry  10 }
+--end DLINK_METRO_LIKE_R25QOS_BY_IPV6_TC_ACL
+
     aclQosAssignClass OBJECT-TYPE
        SYNTAX       INTEGER  { class0(0), class1(1), class2(2), class3(3) }
        MAX-ACCESS   read-write
@@ -5480,7 +8374,7 @@
        STATUS       current
        DESCRIPTION
          "Be mapped class of priority by acl setting." 
-        ::= { aclQosEntry  8 }
+        ::= { aclQosEntry  98 }
         
     aclQosStatus OBJECT-TYPE
        SYNTAX RowStatus
@@ -5488,7 +8382,7 @@
        STATUS current
        DESCRIPTION
          "Status of priority by acl setting."
-       ::= { aclQosEntry 9 }    
+       ::= { aclQosEntry 99 }         
  		-- ----------------------------------------------------------
 		-- The companyTrafficMgmt Groups
 		-- ----------------------------------------------------------      		
@@ -5522,16 +8416,21 @@
               bandwidthCtrlTxThreshold
                  Integer32,
               bandwidthCtrlRxThreshold
+                 Integer32 ,
+              bandwidthEffecTxThreshold
+                 Integer32,
+              bandwidthEffecRxThreshold
                  Integer32             
           }
         
         bandwidthCtrlIndex OBJECT-TYPE 
-           SYNTAX      Integer32
+           SYNTAX      Integer32 (1..28)
            MAX-ACCESS  read-only 
            STATUS      current 
            DESCRIPTION 
               "The interface index for which the configuration in this 
-               entry applies."
+               entry applies.
+               For all machines give maximum port number."
            ::= { bandwidthCtrlEntry 1 }
             
         
@@ -5567,6 +8466,28 @@
         
            ::= { bandwidthCtrlEntry 3}               
 
+        bandwidthEffecTxThreshold OBJECT-TYPE
+           SYNTAX      Integer32 
+           MAX-ACCESS  read-only
+           STATUS      current 
+           DESCRIPTION 
+              "This object's value will take effect on the interface speed. Based
+              on the operating speed of the port, the rate limit will be applied.
+              This value can also be affected by the metering. A value of zero(0)
+              disable rate limiting i.e. sets the port to full speed. "
+            ::= { bandwidthCtrlEntry 4}
+ 
+         bandwidthEffecRxThreshold OBJECT-TYPE
+           SYNTAX      Integer32
+           MAX-ACCESS  read-only
+           STATUS      current 
+           DESCRIPTION 
+              "Allows to configure the limiting value for the maximum number
+              of receive packets that can be transmitted per second over this 
+              interface. Setting this object to the value zero disables rate 
+              limiting for receive packets on this interface. The value that
+              can be set for this object is limited by the underlying hardware. "
+            ::= { bandwidthCtrlEntry 5}
 
        
        -- Traffic Control Group --------------------------------------------- --
@@ -5593,7 +8514,7 @@
           STATUS      current 
           DESCRIPTION 
               "The traffic control table."
-          ::= { trafficCtrlSettings 2 }
+          ::= { trafficCtrlSettings 4 }
 
        trafficCtrlEntry OBJECT-TYPE 
           SYNTAX      TrafficCtrlEntry
@@ -5608,16 +8529,32 @@
           SEQUENCE { 
              trafficCtrlIndex 
                 Integer32, 
-             trafficCtrlActionMode
+             trafficCtrlActionModeForUnicast
                 INTEGER, 
+             trafficCtrlActionModeForMulticast
+                INTEGER,
+             trafficCtrlActionModeForBroadcast
+                INTEGER,
              trafficCtrlType
                 INTEGER,
-             trafficCtrlThreshold
-             	Integer32,
-             trafficCtrlCountDown
-             	Integer32,
-             trafficCtrlTimeInterval
-             	Integer32
+             trafficCtrlThresholdForUnicast
+                Integer32,
+             trafficCtrlThresholdForMulticast
+                Integer32,
+             trafficCtrlThresholdForBroadcast
+                Integer32,
+             trafficCtrlCountDownForUnicast
+                Integer32,
+             trafficCtrlCountDownForMulticast
+                Integer32,
+             trafficCtrlCountDownForBroadcast
+                Integer32,
+             trafficCtrlTimeIntervalForUnicast
+                Integer32,
+             trafficCtrlTimeIntervalForMulticast
+                Integer32,
+             trafficCtrlTimeIntervalForBroadcast
+                Integer32,
        }
        
        trafficCtrlIndex OBJECT-TYPE 
@@ -5628,8 +8565,30 @@
               "The traffic control index."
            ::= { trafficCtrlEntry 1 }
 
-        trafficCtrlActionMode OBJECT-TYPE
+        trafficCtrlActionModeForUnicast OBJECT-TYPE
            SYNTAX INTEGER {
+                drop(0),
+                shutdown(1)
+           }
+           MAX-ACCESS   read-write
+           STATUS       current
+           DESCRIPTION
+               "The action mode of traffic control for unicast."
+           ::= { trafficCtrlEntry 2 }
+   
+        trafficCtrlActionModeForMulticast OBJECT-TYPE
+           SYNTAX INTEGER {
+                drop(0),
+                shutdown(1)
+           }
+           MAX-ACCESS   read-write
+           STATUS       current
+           DESCRIPTION
+               "The action mode of traffic control for multicast."
+           ::= { trafficCtrlEntry 3 }
+   
+        trafficCtrlActionModeForBroadcast OBJECT-TYPE
+           SYNTAX INTEGER {
            		drop(0),
            		shutdown(1)
            }
@@ -5636,8 +8595,8 @@
            MAX-ACCESS   read-write
            STATUS       current
            DESCRIPTION
-               "The action mode of traffic control."
-           ::= { trafficCtrlEntry 2 }
+               "The action mode of traffic control for broadcast."
+           ::= { trafficCtrlEntry 4 }
    
    
         trafficCtrlType OBJECT-TYPE
@@ -5656,32 +8615,88 @@
            DESCRIPTION
                "The control type of traffic control.
                (b: Broadcast, m: Multicast, u: Unknown Unicast)"
-           ::= { trafficCtrlEntry 3 }
+           ::= { trafficCtrlEntry 5 }
 
-        trafficCtrlThreshold OBJECT-TYPE
+        trafficCtrlThresholdForUnicast OBJECT-TYPE
            SYNTAX       Integer32 (1..102400)  
            MAX-ACCESS   read-write
            STATUS       current
            DESCRIPTION
-               "The threshold of traffic control."
-           ::= { trafficCtrlEntry 4 }
+               "The threshold of traffic control for unicast."
+           ::= { trafficCtrlEntry 6 }
  
-        trafficCtrlCountDown OBJECT-TYPE
+        trafficCtrlThresholdForMulticast OBJECT-TYPE
+           SYNTAX       Integer32 (1..102400)  
+           MAX-ACCESS   read-write
+           STATUS       current
+           DESCRIPTION
+               "The threshold of traffic control for multicast."
+           ::= { trafficCtrlEntry 7 }
+ 
+        trafficCtrlThresholdForBroadcast OBJECT-TYPE
+           SYNTAX       Integer32 (1..102400)  
+           MAX-ACCESS   read-write
+           STATUS       current
+           DESCRIPTION
+               "The threshold of traffic control for broadcast."
+           ::= { trafficCtrlEntry 8 }
+ 
+        trafficCtrlCountDownForUnicast OBJECT-TYPE
            SYNTAX       Integer32 (0..30)  
            MAX-ACCESS   read-write
            STATUS       current
            DESCRIPTION
-               "The count down value of traffic control."
-           ::= { trafficCtrlEntry 5 }   
+               "The count down value of traffic control for unicast."
+           ::= { trafficCtrlEntry 9 }   
               
-        trafficCtrlTimeInterval OBJECT-TYPE
+        trafficCtrlCountDownForMulticast OBJECT-TYPE
+           SYNTAX       Integer32 (0..30)  
+           MAX-ACCESS   read-write
+           STATUS       current
+           DESCRIPTION
+               "The count down value of traffic control for multicast."
+           ::= { trafficCtrlEntry 10 }   
+              
+        trafficCtrlCountDownForBroadcast OBJECT-TYPE
+           SYNTAX       Integer32 (0..30)  
+           MAX-ACCESS   read-write
+           STATUS       current
+           DESCRIPTION
+               "The count down value of traffic control for broadcast."
+           ::= { trafficCtrlEntry 11 }   
+              
+        trafficCtrlTimeIntervalForUnicast OBJECT-TYPE
            SYNTAX       Integer32 (5..30)  
            MAX-ACCESS   read-write
            STATUS       current
            DESCRIPTION
-               "The time interval of traffic control."
-           ::= { trafficCtrlEntry 6 } 
+               "The time interval of traffic control for unicast."
+           ::= { trafficCtrlEntry 12 } 
            
+        trafficCtrlTimeIntervalForMulticast OBJECT-TYPE
+           SYNTAX       Integer32 (5..30)  
+           MAX-ACCESS   read-write
+           STATUS       current
+           DESCRIPTION
+               "The time interval of traffic control for multicast."
+           ::= { trafficCtrlEntry 13 } 
+           
+        trafficCtrlTimeIntervalForBroadcast OBJECT-TYPE
+           SYNTAX       Integer32 (5..30)  
+           MAX-ACCESS   read-write
+           STATUS       current
+           DESCRIPTION
+               "The time interval of traffic control for broadcast."
+           ::= { trafficCtrlEntry 14 } 
+           
+        trafficCtrlAutoRecoverTime OBJECT-TYPE
+           SYNTAX       Integer32 (0..65535)  
+           MAX-ACCESS   read-write
+           STATUS       current
+           DESCRIPTION
+               "The recover time of traffic control."
+           ::= { trafficCtrlSettings 3 } 
+           
        
     -- ------------------------------------------------------------------ 
     -- companySecurity
@@ -5709,13 +8724,73 @@
        ::= { securityTrustedHost 1 }
     
     
+    ipv4trustedHostTable OBJECT-TYPE
+       SYNTAX      SEQUENCE OF Ipv4TrustedHostEntry
+       MAX-ACCESS  not-accessible
+       STATUS      obsolete
+       DESCRIPTION
+           "A table to configure trusted host in the system."
+       ::= { securityTrustedHost 2 }
+    
+    ipv4trustedHostEntry OBJECT-TYPE
+       SYNTAX      Ipv4TrustedHostEntry
+       MAX-ACCESS  not-accessible
+       STATUS      obsolete
+       DESCRIPTION
+           "Each entry in this table represents rules for particular
+            trusted host."
+       INDEX { ipv4trustedHostIpAddr, ipv4trustedHostIpMask }
+       ::= { ipv4trustedHostTable 1 }
+    
+    Ipv4TrustedHostEntry ::=
+       SEQUENCE {
+          ipv4trustedHostIpAddr
+             IpAddress,
+          ipv4trustedHostIpMask
+             IpAddress,
+          ipv4trustedHostRowStatus
+             RowStatus
+     }
+    
+    ipv4trustedHostIpAddr OBJECT-TYPE
+       SYNTAX      IpAddress
+       MAX-ACCESS  read-only
+       STATUS      obsolete
+       DESCRIPTION
+            "The IP address of host you allow to access to D-Link Smart 
+             Switch.
+             Your local host IP Addresses must be one of the IP Addresses 
+             to avoid disconnection."
+       ::= { ipv4trustedHostEntry 1 }
+    
+    ipv4trustedHostIpMask OBJECT-TYPE
+       SYNTAX      IpAddress
+       MAX-ACCESS  read-only
+       STATUS      obsolete
+       DESCRIPTION
+            "Used to mask with IP address, it allow you set a subnet as a 
+            trusted host entry."        
+       ::= { ipv4trustedHostEntry 2 }
+    
+    ipv4trustedHostRowStatus OBJECT-TYPE
+       SYNTAX      RowStatus
+       MAX-ACCESS  read-create
+       STATUS      obsolete
+       DESCRIPTION
+             "The status of an entry in the Trusted Host Table.  Only a subset
+             of the rowstatus variables (active, createAndGo, destroy) 
+             are available."
+       ::= { ipv4trustedHostEntry 3 }
+       
+
+    -- ipv6 
     trustedHostTable OBJECT-TYPE
        SYNTAX      SEQUENCE OF TrustedHostEntry
        MAX-ACCESS  not-accessible
        STATUS      current
        DESCRIPTION
-           "A table to configure trusted host in the system."
-       ::= { securityTrustedHost 2 }
+           "A table to configure trusted host for in the system."
+       ::= { securityTrustedHost 3 }
     
     trustedHostEntry OBJECT-TYPE
        SYNTAX      TrustedHostEntry
@@ -5724,38 +8799,51 @@
        DESCRIPTION
            "Each entry in this table represents rules for particular
             trusted host."
-       INDEX { trustedHostIpAddr, trustedHostIpMask }
+       INDEX { trustedHostIPType, trustedHostIpAddr, trustedHostIpMask }
        ::= { trustedHostTable 1 }
     
     TrustedHostEntry ::=
        SEQUENCE {
+          trustedHostIPType
+             INTEGER,
           trustedHostIpAddr
-             IpAddress,
+             Ipv6Address,
           trustedHostIpMask
-             IpAddress,
+             Ipv6Address,
           trustedHostRowStatus
              RowStatus
      }
     
+    trustedHostIPType OBJECT-TYPE
+        SYNTAX    INTEGER {
+               iPv4             (1),
+               iPv6	            (2)
+            }
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
+           "Type of IP interface."
+        ::= { trustedHostEntry 1 }
+    
     trustedHostIpAddr OBJECT-TYPE
-       SYNTAX      IpAddress
+       SYNTAX      Ipv6Address
        MAX-ACCESS  read-only
        STATUS      current
        DESCRIPTION
             "The IP address of host you allow to access to D-Link Smart 
              Switch.
-             Your local host IP Addresses must be one of the IP Addresses 
+             Your local host IPv4/6 Addresses must be one of the IP Addresses 
              to avoid disconnection."
-       ::= { trustedHostEntry 1 }
+       ::= { trustedHostEntry 2 }
     
     trustedHostIpMask OBJECT-TYPE
-       SYNTAX      IpAddress
+       SYNTAX      Ipv6Address
        MAX-ACCESS  read-only
        STATUS      current
        DESCRIPTION
-            "Used to mask with IP address, it allow you set a subnet as a 
+            "Used to mask with IPv4/6 address, it allow you set a subnet as a 
             trusted host entry."        
-       ::= { trustedHostEntry 2 }
+       ::= { trustedHostEntry 3 }
     
     trustedHostRowStatus OBJECT-TYPE
        SYNTAX      RowStatus
@@ -5765,7 +8853,9 @@
              "The status of an entry in the Trusted Host Table.  Only a subset
              of the rowstatus variables (active, createAndGo, destroy) 
              are available."
-       ::= { trustedHostEntry 3 }
+       ::= { trustedHostEntry 4 }
+    
+       
 
     securityARPSpoofPrevent        OBJECT IDENTIFIER ::= { companySecurity 3}
 
@@ -5871,13 +8961,16 @@
        
     sslCipherSuiteList OBJECT-TYPE
       SYNTAX  BITS {
-            rsa-null-md5(0),
-            rsa-null-sha(1),
-            rsa-des-sha(2),
-            rsa-3des-sha(3),
-            dh-rsa-des-sha(4),
-            dh-rsa-3des-sha(5),
-            rsa-exp1024-des-sha(6)
+            ECDHE-RSA-AES128-SHA(0),
+            ECDHE-ECDSA-AES256-SHA(1),
+            DHE-RSA-AES256-SHA(2),
+            ECDHE-RSA-AES256-SHA(3),
+            ECDHE-ECDSA-AES128-SHA(4),
+            DHE-RSA-AES128-SHA(5),
+            AES128-SHA(6),
+            AES256-SHA(7),
+            ECDHE-RSA-AES256-SHA384(8),
+            DHE-RSA-AES256-SHA256(9)
      }
 
       MAX-ACCESS read-write
@@ -5920,9 +9013,9 @@
 sshSessionKeyRekeying OBJECT-TYPE
 	SYNTAX INTEGER {
 		never(0),
-		ten-min(10),
-		thirty-min(30),
-		sixty-min(60)
+		ten-min(1),
+		thirty-min(2),
+		sixty-min(3)
 		}
 	MAX-ACCESS read-write
 	STATUS current
@@ -6137,12 +9230,13 @@
         
                
          portSecIndex OBJECT-TYPE 
-           SYNTAX      Integer32 
+           SYNTAX      Integer32 (1..28)
            MAX-ACCESS  read-only 
            STATUS      current 
            DESCRIPTION 
               "The interface index for which the configuration in this 
-               entry applies."
+               entry applies.
+               For all machines give maximum port number."
            ::= { portSecEntry 1 }
             
         
@@ -6222,11 +9316,12 @@
           }
 
         portSecFDBPermIndex OBJECT-TYPE
-            SYNTAX INTEGER
+            SYNTAX INTEGER (1..28)
             MAX-ACCESS read-only
             STATUS current
             DESCRIPTION
-                "The index of the port security MAC entry."
+                "The index of the port security MAC entry.
+                For all machines give maximum port number."
             ::= { portSecFDBPermanentEntry 1 }
 
         portSecFDBPermVlanID OBJECT-TYPE
